#include <stdbool.h>

// Funktion, die Zeichenkette erhlt und zurckgibt,
// was die Nummer des hufigsten Buchstaben ist.
char findeHaeufigsten(char text[])
{
  int anzahl[52] = {0};
  for(int i = 0; text[i] != 0; i++)
  {
    char c = text[i];
   
    if('A' <= c && c <= 'Z')
    {
      anzahl[c-'A']++;
    }
    else if('a' <= c && c <= 'z')
    {
      anzahl[c-'a'+26]++;
    }
  }
  
  int maxIndex = 0;
  for(int i = 1; i < 52; i++)
  {
    if(anzahl[i] > anzahl[maxIndex])
    {
      maxIndex = i;
    }
  }
  
  if(maxIndex >= 26)
  {
    return 'a' + maxIndex - 26;
  }
  else
  {
    return 'A' + maxIndex;
  }
}

int main( void )
{
  char t[] = "Hallo, dies ist ein Beispieltext!";
  char z = findeHaeufigsten(t);
  
  static bool gestrichen[100] = {0};
  for(int i = 2; i <= 101; i++)
  {
    if(!gestrichen[i-2])
    {
      for(int j = 2*i; j <= 101; j += i)
      {
        gestrichen[j-2] = true; 
      }
    }
  }
  
  static int primzahlen[100];
  int anzahl = 0;
  for(int i = 2; i <= 101; i++)
  {
    if(!gestrichen[i-2])
    {
      primzahlen[anzahl] = i;
      anzahl++;
    }
  }  

  return 0;
}
